/[gentoo-x86]/net-wireless/wpa_supplicant/wpa_supplicant-0.4.8.ebuild
Gentoo

Diff of /net-wireless/wpa_supplicant/wpa_supplicant-0.4.8.ebuild

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.1 Revision 1.5
1# Copyright 1999-2006 Gentoo Foundation 1# Copyright 1999-2006 Gentoo Foundation
2# Distributed under the terms of the GNU General Public License v2 2# Distributed under the terms of the GNU General Public License v2
3# $Header: /var/cvsroot/gentoo-x86/net-wireless/wpa_supplicant/Attic/wpa_supplicant-0.4.8.ebuild,v 1.1 2006/02/14 12:11:55 brix Exp $ 3# $Header: /var/cvsroot/gentoo-x86/net-wireless/wpa_supplicant/Attic/wpa_supplicant-0.4.8.ebuild,v 1.5 2006/04/14 14:07:58 brix Exp $
4 4
5inherit eutils toolchain-funcs 5inherit eutils toolchain-funcs
6 6
7MY_P=${PN}-${PV/_/-} 7MY_P=${PN}-${PV/_/-}
8S=${WORKDIR}/${MY_P} 8S=${WORKDIR}/${MY_P}
11HOMEPAGE="http://hostap.epitest.fi/wpa_supplicant/" 11HOMEPAGE="http://hostap.epitest.fi/wpa_supplicant/"
12SRC_URI="http://hostap.epitest.fi/releases/${MY_P}.tar.gz" 12SRC_URI="http://hostap.epitest.fi/releases/${MY_P}.tar.gz"
13LICENSE="|| ( GPL-2 BSD )" 13LICENSE="|| ( GPL-2 BSD )"
14 14
15SLOT="0" 15SLOT="0"
16KEYWORDS="~amd64 ~ppc ~x86" 16KEYWORDS="~amd64 ~ppc x86"
17IUSE="gsm madwifi qt readline ssl" 17IUSE="gsm madwifi qt readline ssl"
18 18
19DEPEND="gsm? ( sys-apps/pcsc-lite ) 19DEPEND="gsm? ( sys-apps/pcsc-lite )
20 qt? ( || ( =x11-libs/qt-3* =x11-libs/qt-4* ) ) 20 qt? ( || ( =x11-libs/qt-3* =x11-libs/qt-4* ) )
21 readline? ( sys-libs/ncurses 21 readline? ( sys-libs/ncurses
22 sys-libs/readline ) 22 sys-libs/readline )
23 ssl? ( dev-libs/openssl ) 23 ssl? ( dev-libs/openssl )
24 madwifi? ( >=net-wireless/madwifi-driver-0.1401.20060117 )" 24 madwifi? ( || ( net-wireless/madwifi-ng net-wireless/madwifi-old ) )"
25 25
26src_unpack() { 26src_unpack() {
27 local CONFIG=${S}/.config 27 local CONFIG=${S}/.config
28 28
29 unpack ${A} 29 unpack ${A}
75 echo "CONFIG_DRIVER_WEXT=y" >> ${CONFIG} 75 echo "CONFIG_DRIVER_WEXT=y" >> ${CONFIG}
76 echo "CONFIG_DRIVER_WIRED=y" >> ${CONFIG} 76 echo "CONFIG_DRIVER_WIRED=y" >> ${CONFIG}
77 77
78 if use madwifi; then 78 if use madwifi; then
79 # Add include path for madwifi-driver headers 79 # Add include path for madwifi-driver headers
80 echo "CFLAGS += -I/usr/include/madwifi" >> ${CONFIG} 80 echo "CFLAGS += -I${ROOT}/usr/include/madwifi" >> ${CONFIG}
81 echo "CONFIG_DRIVER_MADWIFI=y" >> ${CONFIG} 81 echo "CONFIG_DRIVER_MADWIFI=y" >> ${CONFIG}
82 fi 82 fi
83} 83}
84 84
85src_compile() { 85src_compile() {
86 emake || die "emake failed" 86 emake || die "emake failed"
133 einfo "An example configuration file has been installed as" 133 einfo "An example configuration file has been installed as"
134 einfo "/etc/wpa_supplicant.conf.example" 134 einfo "/etc/wpa_supplicant.conf.example"
135 einfo 135 einfo
136 if use madwifi; then 136 if use madwifi; then
137 einfo "This package now compiles against the headers installed by" 137 einfo "This package now compiles against the headers installed by"
138 einfo "net-wireless/madwifi-driver. You should remerge ${PN} after" 138 einfo "the madwifi driver. You should remerge ${PN} after"
139 einfo "upgrading net-wireless/madwifi-driver." 139 einfo "upgrading your madwifi driver."
140 einfo 140 einfo
141 fi 141 fi
142} 142}

Legend:
Removed from v.1.1  
changed lines
  Added in v.1.5

  ViewVC Help
Powered by ViewVC 1.1.20